{"swagger":"2.0","info":{"version":"v3","title":"CheckMarket.Web.API"},"host":"api-ca.agileresearch.medallia.com","schemes":["https"],"paths":{"/3/contacts":{"get":{"tags":["Contacts"],"summary":"Retrieve all contacts which match the passed criteria","operationId":"Contacts_GetContacts","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"top","in":"query","description":"Select only the first N contacts of the list.","required":false,"type":"string"},{"name":"skip","in":"query","description":"Skip the first N contacts of the list.","required":false,"type":"string"},{"name":"select","in":"query","description":"Define the properties which you want in the result. If empty all not-empty properties are returned.","required":false,"type":"string"},{"name":"filter","in":"query","description":"Select only the contacts that satisfy the predicate expression.","required":false,"type":"string"},{"name":"orderby","in":"query","description":"Define the properties which are used to order the list of contacts.","required":false,"type":"string"},{"name":"expand","in":"query","description":"With the expand, you can retrieve additional information from the contacts. This information is by default hidden when retrieving a list. For contacts you can expand `Surveys` and/or `Groups` to include this additional information in the return value.","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[Contact]]"}}}},"post":{"tags":["Contacts"],"summary":"Create a new contact in a survey","operationId":"Contacts_CreateContact","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"newContact","in":"body","description":"The new contact.","required":true,"schema":{"$ref":"#/definitions/NewContact"}},{"name":"surveyId","in":"query","description":"The survey identifier. Always add a contact immediately to a survey. Contacts without a survey are no longer available in [our tool](https://www.checkmarket.com/blog/survey-contacts-simplified/).","required":true,"type":"integer","format":"int32"},{"name":"logComment","in":"query","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[ContactCreateResult]"}}}}},"/3/contacts/{contactId}":{"get":{"tags":["Contacts"],"summary":"Retrieve a contact by id.","operationId":"Contacts_GetContact","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"contactId","in":"path","description":"The id of the contact.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[Contact]"}}}},"put":{"tags":["Contacts"],"summary":"Update a contact by id.","operationId":"Contacts_UpdateContact","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"contactId","in":"path","description":"The id of the contact which should be updated.","required":true,"type":"integer","format":"int32"},{"name":"updatedContact","in":"body","description":"The new values for all contact properties, all values should be represented not only the ones you would like to update.","required":true,"schema":{"$ref":"#/definitions/UpdateContact"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[ContactCreateResult]"}}}},"delete":{"tags":["Contacts"],"summary":"Remove a contact by id.","operationId":"Contacts_RemoveContact","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"contactId","in":"path","description":"The id of the contact which should be deleted.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[ManipulationResult]"}}}}},"/3/contacts/import/configs":{"get":{"tags":["Contacts"],"summary":"Retrieve the existing import configurations.","operationId":"Contacts_GetAllImportConfigs","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"top","in":"query","description":"Select only the first N import configurations of the list.","required":false,"type":"string"},{"name":"skip","in":"query","description":"Skip the first N import configurations of the list.","required":false,"type":"string"},{"name":"select","in":"query","description":"Define the properties which you want in the result. If empty all not-empty properties are returned.","required":false,"type":"string"},{"name":"filter","in":"query","description":"Select only the import configurations that satisfy the predicate expression.","required":false,"type":"string"},{"name":"orderby","in":"query","description":"Define the properties which are used to order the list of import configurations.","required":false,"type":"string"},{"name":"expand","in":"query","description":"With the expand, you can retrieve additional information about the import configurations. This information is by default hidden when retrieving a list.","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[ImportConfig]]"}}}},"post":{"tags":["Contacts"],"summary":"Create a new import configuration.","description":"When creating an import configuration specifically for the API, you can leave the ColumnMappings empty, they will be automatically filled on the first import.","operationId":"Contacts_AddImportConfig","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"importConfig","in":"body","description":"The new import configuration","required":true,"schema":{"$ref":"#/definitions/BaseImportConfig"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[UpsertImportConfigResult]"}}}}},"/3/contacts/import/configs/{importConfigId}":{"get":{"tags":["Contacts"],"summary":"Retrieve an existing import configuration by its id.","description":"This method will result in a [204 response](../../../Errors#204) if there is no import configuration found for the requested id.","operationId":"Contacts_GetImportConfigById","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"importConfigId","in":"path","description":"The id of the import configuration you want to retrieve.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[ImportConfig]"}}}},"put":{"tags":["Contacts"],"summary":"Update an existing import configuration.","description":"All properties which are not available in the ImportConfig object will be reset to their default value.","operationId":"Contacts_UpdateImportConfig","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"importConfigId","in":"path","description":"The id of the import configuration which you would like to update.","required":true,"type":"integer","format":"int32"},{"name":"importConfig","in":"body","description":"The updated import configuration.","required":true,"schema":{"$ref":"#/definitions/BaseImportConfig"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[UpsertImportConfigResult]"}}}},"delete":{"tags":["Contacts"],"summary":"Remove a import configuration by id.","operationId":"Contacts_DeleteImportConfig","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"importConfigId","in":"path","description":"The id of the import configuration which should be deleted.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[ManipulationResult]"}}}}},"/3/contacts/import/targetcolumns":{"get":{"tags":["Contacts"],"summary":"Retrieve all available options which you can use as TargetColumnName in the ImportColumnMapping.","operationId":"Contacts_GetTargetColumns","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IList[String]]"}}}}},"/3/contacts/import/{importConfigId}":{"post":{"tags":["Contacts"],"summary":"Import contacts in bulk. Depending on your import configuration you can receive a email notification on each import.\r\nYou can also trace the item in the queue when requesting the result.","operationId":"Contacts_ImportContacts","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"importConfigId","in":"path","description":"The [import configuration](/docs/api/v3/model/ImportConfig) identifier.","required":true,"type":"integer","format":"int32"},{"name":"contacts","in":"body","description":"The contacts you would like to import.","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/UpdateContact"}}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[QueueItem]"}}}}},"/3/contacts/import/result/{queueItemId}":{"get":{"tags":["Contacts"],"summary":"Get the result of an import.","operationId":"Contacts_ImportResult","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"queueItemId","in":"path","description":"The queue item identifier.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[QueueItem[ImportContactsTaskResult]]"}}}}},"/3/contacts/optouts":{"get":{"tags":["Contacts"],"summary":"Retrieve the [opt-out list](https://docs.medallia.com/en/?resourceId=ar-global-opt-out) of your account taking the passed criteria into account","operationId":"Contacts_GetOptouts","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"top","in":"query","description":"Select only the first N opt-outs of the list.","required":false,"type":"string"},{"name":"skip","in":"query","description":"Skip the first N opt-outs of the list.","required":false,"type":"string"},{"name":"select","in":"query","description":"Define the properties which you want in the result. If empty all not-empty properties are returned.","required":false,"type":"string"},{"name":"filter","in":"query","description":"Select only the opt-outs that satisfy the predicate expression.","required":false,"type":"string"},{"name":"orderby","in":"query","description":"Define the properties which are used to order the list of opt-outs.","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[OptOut]]"}}}},"post":{"tags":["Contacts"],"summary":"Add new opt-outs for your account","operationId":"Contacts_CreateOptOut","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"optOuts","in":"body","description":"The email addresses and/or phone numbers that should be opted out.","required":true,"schema":{"$ref":"#/definitions/OptOutRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[ManipulationResult]"}}}}},"/3":{"get":{"tags":["DefaultApi"],"summary":"Default API-call which will return the urls to the root requests in the Links property.","operationId":"DefaultApi_Index","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[String]"}}}}},"/3/throttle":{"get":{"tags":["DefaultApi"],"summary":"To check how your application behaves when running into a throttling exception, you can use this request to get the throttling exception.","operationId":"DefaultApi_GetThrottlingException","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[ThrottleException]"}}}}},"/3/hooks":{"get":{"tags":["Hooks"],"summary":"Retrieve all webhooks available for you.","operationId":"Hooks_GetAll","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[Webhook]]"}}}},"post":{"tags":["Hooks"],"summary":"Create a new web hook. We will check your API key roles depending on the event used in the webhook.","description":"Check the [required role](/Hooks/Events) for each event to make sure your key has access to the event.","operationId":"Hooks_Create","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"newWebHook","in":"body","required":true,"schema":{"$ref":"#/definitions/NewWebhook"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[Webhook]"}}}}},"/3/hooks/{WebhookId}":{"get":{"tags":["Hooks"],"summary":"Retrieve a webhook configuration by ID.","operationId":"Hooks_GetById","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"WebhookId","in":"path","description":"The identifier of the webhook to activate.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[Webhook]"}}}},"delete":{"tags":["Hooks"],"summary":"Remove the web hook.","operationId":"Hooks_RemoveById","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"WebhookId","in":"path","description":"The identifier of the webhook","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[ManipulationResult]"}}}}},"/3/hooks/{WebhookId}/demo":{"get":{"tags":["Hooks"],"summary":"Retrieve a demo object of the webhook you just created. The data returned in the demo is fixed and only depending on the type of event used in your webhook, it is not related to any survey, contact, respondent, ... in your account.","operationId":"Hooks_GetDemo","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"WebhookId","in":"path","description":"The identifier of the webhook to activate.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[WebhookResult]"}}}}},"/3/hooks/{WebhookId}/activate":{"post":{"tags":["Hooks"],"summary":"Activate your webhook. Activation is required before you will receive requests. This flow is required to improve security.","description":"**Important:** when activating your webhook you need to pass the X-Hook-Key header.","operationId":"Hooks_Activate","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"WebhookId","in":"path","description":"The identifier of the webhook to activate.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[Webhook]"}}}}},"/3/hooks/{WebhookId}/deactivate":{"put":{"tags":["Hooks"],"summary":"Deactivate your webhook. You won't receive any request anymore. But the webhook ID and key will remain the same for Activation in the future.","operationId":"Hooks_Deactivate","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"WebhookId","in":"path","description":"The identifier of the webhook to activate.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[Webhook]"}}}}},"/3/hooks/events":{"get":{"tags":["Hooks"],"summary":"Retrieve the available events to which you can attach your web hooks.","operationId":"Hooks_GetEvents","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[WebhookEvent]"}}}}},"/3/keys/current":{"get":{"tags":["Keys"],"summary":"Get the roles related to the current key.","operationId":"Keys_Current","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[ApiPrincipal]"}}}}},"/3/lookup/browsers":{"get":{"tags":["Lookup"],"summary":"Retrieve the browser id and browser names for all browsers which we identify when completing a survey. (only in English)","description":"Used in [Respondent - BrowserId](../model/Respondent)","operationId":"Lookup_Browsers","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/os":{"get":{"tags":["Lookup"],"summary":"Retrieve the os id and os name for all operating systems which we identify when completing a survey. (only in English)","description":"Used in [Respondent - OsId](../model/Respondent)","operationId":"Lookup_Os","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/distribution":{"get":{"tags":["Lookup"],"summary":"Retrieve the distribution method id and names for the distribution methods we offer. The data will be retrieved in the requested language.","description":"Used in [Respondent - DistributionMethodId](../model/Respondent)","operationId":"Lookup_DistributionMethods","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"lang","in":"query","description":"The two-letter code of the requested language, if not available we will use english","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/surveystatus":{"get":{"tags":["Lookup"],"summary":"Retrieve the survey status id and name for all possible survey statuses. The data will be retrieved in the requested language.","description":"Used in [Survey - SurveyStatusId](../model/Survey)","operationId":"Lookup_SurveysStatuses","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"lang","in":"query","description":"The two-letter code of the requested language, if not available we will use english","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/contactstatus":{"get":{"tags":["Lookup"],"summary":"Retrieve the contact status id and name for all possible contact statuses. The data will be retrieved in the requested language. The possible statuses are discussed in our [knowledgebase](https://www.checkmarket.com/kb/what-do-the-different-contact-statuses-mean/).","description":"Used in [Contact - ContactStatusId](../model/Panelist),","operationId":"Lookup_ContactStatuses","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"lang","in":"query","description":"The two-letter code of the requested language, if not available we will use english","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/respondentstatus":{"get":{"tags":["Lookup"],"summary":"Retrieve respondent end status id and name for the respondent statuses. (only in English)","description":"Used in [Respondent - RespondentStatusId](../model/Respondent)","operationId":"Lookup_GetRespondentEndStatus","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/questiontypes":{"get":{"tags":["Lookup"],"summary":"Retrieve the question type id and name for the question types. The data will be retrieved in the requested language.","description":"Used in [SurveyQuestion - QuestionTypeId](../model/SurveyQuestion)","operationId":"Lookup_GetQuestionTypes","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"lang","in":"query","description":"The two-letter code of the requested language, if not available we will use english","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/queuestatus":{"get":{"tags":["Lookup"],"summary":"Lookup process queue status.","operationId":"Lookup_GetProcessQueueStatus","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"lang","in":"query","description":"The two-letter code of the requested language, if not available we will use english","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/countries":{"get":{"tags":["Lookup"],"summary":"Retrieve all [ISO 3166-1](http://en.wikipedia.org/wiki/3166-1) two-letter country code and country name. The data will be retrieved in the requested language.","description":"* Used in [Contact - CountryId](../model/Contact), [Respondent - CountryId](../model/Respondent), [Panelist - CountryId](../model/Panelist)","operationId":"Lookup_GetCountries","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"lang","in":"query","description":"The two-letter code of the requested language, if not available we will use english","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/states":{"get":{"tags":["Lookup"],"summary":"Retrieve the [ISO 3166-2](http://en.wikipedia.org/wiki/ISO_3166-2:US) two-last letter state codes and name for all US states. (only in English)","description":"Used in [Contact - State](../model/Contact), [Respondent - State](../model/Respondent), [Panelist - State](../model/Panelist)","operationId":"Lookup_GetStates","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/datatypes":{"get":{"tags":["Lookup"],"summary":"Retrieve the id and name of all available data types. (only in English)","description":"Used in [SurveyQuestion - DataTypeId](../model/SurveyQuestion)","operationId":"Lookup_GetDataTypes","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/scaletypes":{"get":{"tags":["Lookup"],"summary":"Retrieve the scale type id and name of all possible scaletypes.","description":"Used in [SurveyQuestion - ScaleTypeId](../model/SurveyQuestion)","operationId":"Lookup_GetScaleTypes","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/resultcodes":{"get":{"tags":["Lookup"],"summary":"Retrieve the list of ResultCodes which are returned when importing contacts or adding responses.","description":"Used in the [ImportContactResult - ResultCode](../model/ImportContactResult).\r\nUse in the [NewResponseResult - ResultCodes](../model/NewResponseResult).","operationId":"Lookup_GetResultCodes","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"lang","in":"query","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/surveylanguages":{"get":{"tags":["Lookup"],"summary":"Retrieve the list of languages which are support in the survey interface and can be used to when translating your survey.","operationId":"Lookup_GetSurveyLanguages","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"lang","in":"query","description":"The language.","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/mediatypes":{"get":{"tags":["Lookup"],"summary":"Retrieve the list of media types.","description":"Used in [MediaFile - MediaType](../model/MediaFile)","operationId":"Lookup_GetMediaTypes","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"lang","in":"query","description":"The two-letter code of the requested language, if not available we will use english","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/importconfigupdatetypes":{"get":{"tags":["Lookup"],"summary":"Retrieve the list of import config update types","description":"Used in [ImportConfig - UpdateTypeId](../model/ImportConfig)","operationId":"Lookup_GetImportConfigUpdateTypes","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/optoutsources":{"get":{"tags":["Lookup"],"operationId":"Lookup_GetOptoutSources","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/metadataTypes":{"get":{"tags":["Lookup"],"summary":"Retrieve the list of metadata types","operationId":"Lookup_GetMetadataTypes","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"lang","in":"query","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/lookup/operators":{"get":{"tags":["Lookup"],"summary":"Retrieve the list of operators","operationId":"Lookup_GetOperators","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"lang","in":"query","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SimpleLookup]]"}}}}},"/3/Lookup":{"get":{"tags":["Lookup"],"summary":"Retrieve an overview of available lookup calls to improve discoverability.","operationId":"Lookup_Get","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[String]"}}}}},"/3/media/folders/{FolderId}":{"get":{"tags":["Media"],"summary":"Retrieve all media items from a media folder.","description":"You can search in the entire library when using -1 as FolderId. This is only allowed when using MediaTypeId or Name as optional parameters.","operationId":"Media_GetFiles","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"FolderId","in":"path","description":"The id of the media folder for which you would like to retrieve the items. Use '0' if you would like to retrieve items from the root folder.","required":true,"type":"integer","format":"int32"},{"name":"MediaTypeId","in":"query","description":"Filter media items by there [type](/docs/api/v3/action/GET-3-lookup-mediatypes_lang)","required":false,"type":"integer","format":"int32"},{"name":"Name","in":"query","description":"Part of the name of the media item you are looking for.","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[MediaResult]"}}}},"post":{"tags":["Media"],"summary":"Add a new file to the media library.","description":"In order to use this request, you should use the Content-Type: multipart/form-data. The request body must contain at least 1 file. &lt;br/&gt;\r\nThe media library is currently limited to 1GB for each account, you will receive a MediaLibrarySpaceException in case there isn't enough storage available.","operationId":"Media_AddFile","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"FolderId","in":"path","description":"The id of the media folder in which you would like to create the item. Use '0' if you would like to add the file to the root.","required":true,"type":"integer","format":"int32"},{"name":"Description","in":"query","description":"A description for your new file.","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[List[MediaFile]]"}}}}},"/3/media/{MediaId}":{"get":{"tags":["Media"],"summary":"Retrieve a media item by id.","operationId":"Media_GetFileById","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"MediaId","in":"path","description":"The id of the media item you want to retrieve.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[MediaFile]"}}}}},"/3/media/folders":{"get":{"tags":["Media"],"summary":"Retrieve the complete tree of media folders.","operationId":"Media_GetFolders","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[MediaFolder]]"}}}}},"/3/surveys/{surveyId}":{"get":{"tags":["Surveys"],"summary":"Retrieve a survey by id.","description":"This method will result in a [204 response](../../../Errors#204) if there is no survey found for the requested id.","operationId":"Surveys_GetSurvey","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of the survey you want to retrieve.","required":true,"type":"integer","format":"int32"},{"name":"lang","in":"query","description":"The language in which you would like to retrieve the translatable properties. If the requested language is not available we will use the default language from the survey or the first available language. The available language code can be found for each survey in the [Survey - Langs](../model/Survey) property.","required":false,"type":"string"},{"name":"includeQuestions","in":"query","description":"By default we include the questions and responses for the survey, but if you would like to minimize the response, you can exclude them with this parameters.","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[Survey]"}}}}},"/3/surveys/{surveyId}/responserate":{"get":{"tags":["Surveys"],"summary":"Gets the response rate for a survey.","description":"You can only retrieve the response rate if the survey has a panel, otherwise you will get an empty result.","operationId":"Surveys_GetResponseRateFromSurvey","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"filter","in":"query","description":"Select only the panelists that satisfy the expression in the response rate calculation. [read more](/Docs/Query?#filter)","required":false,"type":"string"},{"name":"groupby","in":"query","description":"Define the [panelist](/docs/api/v3/model/Panelist) property on which we should group the response rate. This option allows you to compare the response rate between different types of panelists.","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IList[ResponseRate]]"}}}}},"/3/surveys/{surveyId}/launch":{"post":{"tags":["Surveys"],"summary":"`Early access feature` - Launch a survey.","operationId":"Surveys_LaunchSurvey","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"launch","in":"body","description":"Survey launch object to launch the survey.","required":true,"schema":{"$ref":"#/definitions/LaunchSurvey"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[SurveyLaunchValidationResult]"}}}}},"/3/surveys/{surveyId}/questions":{"get":{"tags":["Surveys"],"summary":"Retrieve all questions from a survey which match the passed criteria.","operationId":"Surveys_GetQuestionsFromSurvey","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of the survey for which the questions will be retrieved.","required":true,"type":"integer","format":"int32"},{"name":"asFlatList","in":"query","description":"Indicate if you would like to return the questions as a flat list or as a tree structure.","required":false,"type":"boolean"},{"name":"stripHtml","in":"query","description":"Indicate if you would like to strip all HTML tags in the question caption and response caption.","required":false,"type":"boolean"},{"name":"lang","in":"query","description":"The language in which you would like to retrieve the questions. If the requested language is not available we will use the default language from the survey. The available language code can be found for each survey in the [Survey - Langs](../Model/Survey) property.","required":false,"type":"string"},{"name":"top","in":"query","description":"Select only the first N questions of the list. [read more](/Docs/Query?#top)","required":false,"type":"string"},{"name":"skip","in":"query","description":"Skip the first N questions of the list. [read more](/Docs/Query?#skip)","required":false,"type":"string"},{"name":"select","in":"query","description":"Define the properties which you want in the result. If empty all properties are returned except the ones which don't contain data. [read more](/Docs/Query?#select)","required":false,"type":"string"},{"name":"filter","in":"query","description":"Select only the questions that satisfy the predicate expression. [read more](/Docs/Query?#filter)","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SurveyQuestion]]"}}}},"post":{"tags":["Surveys"],"summary":"`Early access feature` - Creates a question in a survey.","operationId":"Surveys_SurveyQuestionInsertAsync","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of the survey in which question needs to be inserted.","required":true,"type":"integer","format":"int32"},{"name":"questionInsert","in":"body","description":"Question object to create or update a question.","required":true,"schema":{"$ref":"#/definitions/QuestionInsert"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[SurveyQuestionUpsertResult]"}}}}},"/3/surveys/{surveyId}/questions/{questionId}":{"get":{"tags":["Surveys"],"summary":"Retrieve a question from a survey by its datalabel.","description":"This method will result in a [204 response](../../../Errors#204) if no question is found in this survey for the requested datalabel.","operationId":"Surveys_GetQuestionFromSurvey","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"questionId","in":"path","description":"The id or data label of a question. The datalabel can be customized and should be unique in the entire survey. The datalabel can be found in the [SurveyQuestion - DataLabel](../model/SurveyQuestion) property.","required":true,"type":"string"},{"name":"lang","in":"query","description":"The language in which you would like to retrieve the questions. If the requested language is not available we will use the default language from the survey. The available language code can be found for each survey in the [Survey - Langs](../model/Survey) property.","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[SurveyQuestion]"}}}}},"/3/surveys/{surveyId}/questions/{questionId}/result":{"get":{"tags":["Surveys"],"summary":"Retrieve the reults in aggregate for a question by id or datalabel.\r\nHint: If you're looking to get the individual answers to a survey, download the [respondents](/docs/api/v3/action/GET-3-surveys-surveyId-respondents_top_skip_select_filter_orderby_expand).","operationId":"Surveys_GetQuestionResultFromSurvey","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"questionId","in":"path","description":"The id or datalabel of a question.","required":true,"type":"string"},{"name":"lang","in":"query","description":"The language in which you would like to retrieve the questions. If the requested language is not available we will use the default language from the survey. The available language code can be found for each survey in the [Survey - Langs](../model/Survey) property.","required":false,"type":"string"},{"name":"filter","in":"query","description":"Select only the respondents that satisfy the predicate expression, only these respondents will be used to calculate the result. [read more](/Docs/Query?#filter)","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[SurveyQuestionResult]"}}}}},"/3/surveys/{surveyId}/questions/{questionId}/aggregates":{"get":{"tags":["Surveys"],"summary":"Retrieve the aggregates (Average, Median, StandardDeviation, NPS) from a question by the question label.","operationId":"Surveys_GetQuestionAggregatesFromSurvey","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"questionId","in":"path","description":"The datalabel of a question.","required":true,"type":"string"},{"name":"filter","in":"query","description":"Select only the respondents that satisfy the predicate expression, only these respondents will be used to calculate the result. [read more](/Docs/Query?#filter)","required":false,"type":"string"},{"name":"period","in":"query","description":"When you want a timeline of the aggregates you can group the results by day, week, month, quarter or year.","required":false,"type":"string"},{"name":"responseId","in":"query","description":"Filter on a specific response","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[QuestionAggregate]]"}}}}},"/3/surveys/{surveyId}/questions/{questionId}/read":{"get":{"tags":["Surveys"],"summary":"`Early access feature` - Retrieve a question from a survey by its id.","operationId":"Surveys_SurveyQuestionReadAsync","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"questionId","in":"path","description":"The id of a question.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[QuestionRead]"}}}}},"/3/surveys/{surveyId}/questions/{questionid}":{"put":{"tags":["Surveys"],"summary":"`Early access feature` - Updates a question in a survey.","operationId":"Surveys_SurveyQuestionUpdateAsync","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of the survey in which question needs to be updated.","required":true,"type":"integer","format":"int32"},{"name":"questionid","in":"path","description":"The id of the question which needs to be updated","required":true,"type":"integer","format":"int32"},{"name":"questionUpdate","in":"body","description":"Question object to create or update a question.","required":true,"schema":{"$ref":"#/definitions/QuestionUpdate"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[SurveyQuestionUpsertResult]"}}}}},"/3/surveys/{surveyId}/respondents":{"get":{"tags":["Surveys"],"summary":"Retrieve all respondents from a survey which match the passed criteria. Use the `expand=Responses` parameter to immediately include the responses of a respondent.","operationId":"Surveys_GetRespondentsFromSurvey","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"langCode","in":"query","description":"The language code in which you would like to receive the caption of the Responses.","required":false,"type":"string"},{"name":"top","in":"query","description":"Selecting only the first N respondents of the list. [read more](/Docs/Query?#top)","required":false,"type":"string"},{"name":"skip","in":"query","description":"Skip the first N respondents of the list. [read more](/Docs/Query?#skip)","required":false,"type":"string"},{"name":"select","in":"query","description":"Define the properties which you want in the result. If empty all properties are returned except the ones which don't contain data. [read more](/Docs/Query?#select)","required":false,"type":"string"},{"name":"filter","in":"query","description":"Select only the respondents that satisfy the predicate expression. [read more](/Docs/Query?#filter)","required":false,"type":"string"},{"name":"orderby","in":"query","description":"Define the properties which are used to order the list of respondents. [read more](/Docs/Query?#orderby)","required":false,"type":"string"},{"name":"expand","in":"query","description":"Use the `expand=Responses` parameter to immediately retrieve the responses of a respondent","required":false,"type":"string"},{"name":"stripHtml","in":"query","description":"When using `expand=Responses`, you can optionally strip all HTML tags from the response captions.","required":false,"type":"boolean"},{"name":"filterJSON","in":"query","required":false,"type":"string"},{"name":"filterIds","in":"query","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[Respondent]]"}}}},"post":{"tags":["Surveys"],"summary":"Add responses for a new respondent","description":"All actual respondents (no preview) will be charged according to your billing model.","operationId":"Surveys_SendResponseForSurvey","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"respondent","in":"body","description":"New respondent with responses","required":true,"schema":{"$ref":"#/definitions/NewRespondent"}},{"name":"includeSuccessResponses","in":"query","description":"By default, we only show the invalid survey responses in the API response. You can include the correctly processed responses on demand.","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[NewRespondentResult]"}}}}},"/3/surveys/{surveyId}/respondents/{respondentId}":{"get":{"tags":["Surveys"],"summary":"Get the respondent with responses from a survey.","operationId":"Surveys_GetRespondentFromSurvey","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"respondentId","in":"path","description":"The id of a respondent: this id can be retrieved from your internal system, passed as a parameter in a [branching url](https://docs.medallia.com/en/?resourceId=ar-branching), [automated alert](https://www.checkmarket.com/2011/09/automated-alerts/)...","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[Respondent]"}}}},"delete":{"tags":["Surveys"],"summary":"Remove a respondent from a survey. This action is permanent and cannot be undone.","operationId":"Surveys_RemoveRespondentFromSurvey","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"respondentId","in":"path","description":"The id of a respondent","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[ManipulationResult]"}}}}},"/3/surveys/{surveyId}/contacts":{"get":{"tags":["Surveys"],"summary":"Retrieve all contacts from a survey which match the passed criteria.","operationId":"Surveys_GetContactsFromSurvey","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The if of a survey.","required":true,"type":"integer","format":"int32"},{"name":"top","in":"query","description":"Selecting only the first N contacts of the list. [read more](/Docs/Query?#top)","required":false,"type":"string"},{"name":"skip","in":"query","description":"Skip the first N contacts of the list. [read more](/Docs/Query?#skip)","required":false,"type":"string"},{"name":"select","in":"query","description":"Define the properties which you want in the result. If empty all properties are returned except the ones which don't contain any data. [read more](/Docs/Query?#select)","required":false,"type":"string"},{"name":"filter","in":"query","description":"Selecting only the Contact that satisfy the predicate expression. [read more](/Docs/Query?#filter)","required":false,"type":"string"},{"name":"orderby","in":"query","description":"Define the properties which are used to order the list of contacts. [read more](/Docs/Query?#orderby)","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[SurveyContact]]"}}}},"post":{"tags":["Surveys"],"summary":"Create a new contact in a survey.","operationId":"Surveys_AddContactToSurvey","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"newContact","in":"body","description":"The new contact.","required":true,"schema":{"$ref":"#/definitions/NewContact"}},{"name":"surveyId","in":"path","description":"The survey identifier. Always add a contact immediately to a survey.","required":true,"type":"integer","format":"int32"},{"name":"logComment","in":"query","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[ContactCreateResult]"}}}}},"/3/surveys/{surveyId}/contacts/{contactId}":{"get":{"tags":["Surveys"],"summary":"Retrieve a contact from a survey by contactId.","operationId":"Surveys_GetContactFromSurvey","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"contactId","in":"path","description":"The id of a contact linked to this survey.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[SurveyContact]"}}}},"put":{"tags":["Surveys"],"summary":"Update contact within a survey","operationId":"Surveys_UpdateContactFromSurvey","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"contactId","in":"path","description":"The id of a contact linked to this survey.","required":true,"type":"integer","format":"int32"},{"name":"newContact","in":"body","description":"The updated contact","required":true,"schema":{"$ref":"#/definitions/NewContact"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[ContactCreateResult]"}}}}},"/3/surveys/{surveyId}/contacts/fieldvaluecount":{"get":{"tags":["Surveys"],"summary":"Retrieve the amount of unique values for the custom fields for a survey.","description":"This request can be used when building custom reports or custom dashboards. It's very usefull to check if you would like to give certain options when filtering the [aggregates](./GET-3-surveys-surveyId-questions-Datalabel-aggregates_filter_Period), grouping the [response rate](./GET-3-surveys-surveyId-responserate_filter_groupby), ...","operationId":"Surveys_GetContactFieldValueCount","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The survey identifier.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[PanelFieldValueCount]"}}}}},"/3/surveys/{surveyId}/channels/targetedPanels/Urls":{"get":{"tags":["Surveys"],"summary":"`Early access feature` - Gets all the channel URLs for the targeted panel","operationId":"Surveys_UrlManagementChannelsGetAsync","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of the survey whose channel needs to be fetched.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[UrlManagementChannelGet]]"}}}}},"/3/surveys/{surveyId}/channels/targetedPanels/Urls/{urlId}":{"get":{"tags":["Surveys"],"summary":"`Early access feature` - Gets specific channel details for the targeted panel","operationId":"Surveys_UrlManagementChannelGetAsync","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of the survey whose channel needs to be fetched.","required":true,"type":"integer","format":"int32"},{"name":"urlId","in":"path","description":"The id of the url whose details needs to be fetched.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[UrlManagementChannelGet]"}}}},"put":{"tags":["Surveys"],"summary":"`Early access feature` - Updates channel URL for the targeted panel in a survey","operationId":"Surveys_UrlManagementChannelUpdateAsync","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of the survey for which channel needs to be created.","required":true,"type":"integer","format":"int32"},{"name":"urlId","in":"path","description":"Channel Id of the channel which needs to be updated.","required":true,"type":"integer","format":"int32"},{"name":"channel","in":"body","description":"Channel details which needs to be updated.","required":true,"schema":{"$ref":"#/definitions/UrlManagementChannel"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[UrlManagementChannelResult]"}}}},"delete":{"tags":["Surveys"],"summary":"`Early access feature` - Deletes channel URL for the targeted panel in a survey","operationId":"Surveys_UrlManagementChannelDeleteAsync","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of the survey for which channel needs to be deleted.","required":true,"type":"integer","format":"int32"},{"name":"urlId","in":"path","description":"Channel Id of the channel which needs to be deleted.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[UrlManagementChannelResult]"}}}}},"/3/surveys/{surveyId}/channels/targetedpanels/Urls":{"post":{"tags":["Surveys"],"summary":"`Early access feature` - Creates channel URL for the targeted panel in a survey","operationId":"Surveys_UrlManagementChannelInsertAsync","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of the survey for which channel needs to be created.","required":true,"type":"integer","format":"int32"},{"name":"channel","in":"body","description":"Channel URL details which needs to be created.","required":true,"schema":{"$ref":"#/definitions/UrlManagementChannel"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[UrlManagementChannelResult]"}}}}},"/3/surveys/{surveyId}/pages/{pageNumber}/branching":{"get":{"tags":["Surveys"],"summary":"`Early access feature` - Gets page branch logic.","operationId":"Surveys_PageBranchLogicRead","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"pageNumber","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[LogicsRead]"}}}},"put":{"tags":["Surveys"],"summary":"`Early access feature` - Updates page branch logic.","operationId":"Surveys_PageBranchLogicUpdate","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"pageNumber","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"logicsUpdate","in":"body","description":"Logic object to create page branching.","required":true,"schema":{"$ref":"#/definitions/LogicsUpdate"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[LogicResult]"}}}},"post":{"tags":["Surveys"],"summary":"`Early access feature` - Creates page branch logic.","operationId":"Surveys_PageBranchLogicInsert","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"pageNumber","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"logicsCreate","in":"body","description":"Logic object to create page branching.","required":true,"schema":{"$ref":"#/definitions/LogicsCreate"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[LogicResult]"}}}}},"/3/Surveys":{"get":{"tags":["Surveys"],"summary":"Retrieve all surveys which match the passed criteria.","operationId":"Surveys_GetAllSurveys","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"lang","in":"query","description":"The language in which you would like to retrieve the translatable properties. If the requested language is not available we will use the default language from the survey or the first available language. The available language code can be found for each survey in the [Survey - Langs](../model/Survey) property.","required":false,"type":"string"},{"name":"top","in":"query","description":"Select only the first N surveys of the list. [read more](/Docs/Query?#top)","required":false,"type":"string"},{"name":"skip","in":"query","description":"Skip the first N surveys of the list. [read more](/Docs/Query?#skip)","required":false,"type":"string"},{"name":"select","in":"query","description":"Define the properties which you want in the result. If empty all properties are returned except the ones which don't contain data. [read more](/Docs/Query?#select)","required":false,"type":"string"},{"name":"filter","in":"query","description":"Select only the surveys that satisfy the predicate expression [read more](/Docs/Query?#filter)","required":false,"type":"string"},{"name":"orderby","in":"query","description":"Define the properties which are used to order the list of surveys. [read more](/Docs/Query?#orderby)","required":false,"type":"string"},{"name":"expand","in":"query","description":"With the expand, you can retrieve additional information from the surveys. This information is by default hidden when retrieving a list. For surveys you can expand `RespondentVisibility` and/or `Questions` to include this additional information in the return value. [read more](/Docs/Query?#expand)","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[Survey]]"}}}},"post":{"tags":["Surveys"],"summary":"Create a new survey.","description":"* The owner of the API key needs [create survey rights](https://docs.medallia.com/en/?resourceId=ar-adding-users).","operationId":"Surveys_CreateSurvey","consumes":["application/json","text/json","application/xml","text/xml"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"survey","in":"body","description":"The settings for the new survey.","required":true,"schema":{"$ref":"#/definitions/NewSurvey"}},{"name":"copyOfSurveyId","in":"query","description":"The id of the original survey if you would like to copy an existing survey.","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[SurveyCreateResult]"}}}}},"/3/textanalysis/{surveyId}/questions":{"get":{"tags":["TextAnalysis"],"summary":"Retrieve the open answer questions","operationId":"TextAnalysis_GetOpenAnswerQuestionsFromSurvey","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of the survey","required":true,"type":"integer","format":"int32"},{"name":"lang","in":"query","description":"The language in which you would like to retrieve the translatable properties. If the requested language is not available we will use the default language from the survey. The available language code can be found for each survey in the [Survey - Langs](../model/Survey) property.","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[TextAnalysisQuestion]]"}}}}},"/3/textanalysis/{surveyId}/questions/{questionId}":{"get":{"tags":["TextAnalysis"],"summary":"Retrieve the open answers","operationId":"TextAnalysis_GetResponsesFromSurvey","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"questionId","in":"path","description":"The id of a question.","required":true,"type":"integer","format":"int32"},{"name":"lang","in":"query","description":"The language for which you would like to retrieve the responses.","required":true,"type":"string"},{"name":"top","in":"query","description":"Select only the first N responses of the list. [read more](/Docs/Query?#top)","required":false,"type":"string"},{"name":"skip","in":"query","description":"Skip the first N responses of the list. [read more](/Docs/Query?#skip)","required":false,"type":"string"},{"name":"filter","in":"query","description":"Select only the Respondents that satisfy the predicate expression [read more](/Docs/Query?#filter)","required":false,"type":"string"},{"name":"filterTagIds","in":"query","description":"Comma-seperated list of tagIds for which you would like to retrieve the open responses","required":false,"type":"string"},{"name":"filterSentimentScore","in":"query","description":"Select only the respones with this Sentiment score (-10: negative, 0: neutral, 10: positive)","required":false,"type":"integer","format":"int32"},{"name":"orderby","in":"query","description":"Define the properties which are used to order the list of responses. [read more](/Docs/Query?#orderby)","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[OpenTextResponse]]"}}}}},"/3/textanalysis/{surveyId}/questions/{questionId}/tags":{"get":{"tags":["TextAnalysis"],"summary":"Retrieve a list of available tags for this question","operationId":"TextAnalysis_GetTagsFromQuestion","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"questionId","in":"path","description":"The id of a question.","required":true,"type":"integer","format":"int32"},{"name":"lang","in":"query","description":"The language in which you would like to retrieve the Name and Description properties.","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[TagDefinition]]"}}}}},"/3/textanalysis/{surveyId}/questions/{questionId}/aggregates":{"get":{"tags":["TextAnalysis"],"summary":"Retrieve the tagging aggregates","operationId":"TextAnalysis_GetTagAggregateFromSurvey","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"surveyId","in":"path","description":"The id of a survey.","required":true,"type":"integer","format":"int32"},{"name":"questionId","in":"path","description":"The id of a question","required":true,"type":"integer","format":"int32"},{"name":"lang","in":"query","description":"The language in which you would like to retrieve the tags. If the requested language is not available we will use the default language from the survey. The available language code can be found for each survey in the [Survey - Langs](../model/Survey) property.","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Payload[IEnumerable[TagSentimentAggregate]]"}}}}}},"definitions":{"Hateoas":{"description":"[HATEOAS](http://en.wikipedia.org/wiki/HATEOAS) related to this object. It wil contain relevant url's such as previous and next page for paged results, create/update/delete action. These url's can be used in your application for the next steps in your application logic.","type":"object","properties":{"Self":{"$ref":"#/definitions/SelfLink","description":"Url for the GET request of the relevant object."},"Create":{"$ref":"#/definitions/CreateLink","description":"Url for the CREATE request of the relevant object."},"Update":{"$ref":"#/definitions/UpdateLink","description":"Url for the UPDATE request of the relevant object."},"Delete":{"$ref":"#/definitions/DeleteLink","description":"Url for the DELETE request of the relevant object."},"Next":{"$ref":"#/definitions/NextLink","description":"Url for the next paged results. Only available in case a paginated list is returned and we are not on the last paged results."},"Previous":{"$ref":"#/definitions/PreviousLink","description":"Url for the previous paged results. Only available in case a paginated list is returned and we are not on the first paged results."},"Help":{"$ref":"#/definitions/HelpLink","description":"Url to the documentation page of the relevant object."},"Progress":{"$ref":"#/definitions/ProgressLink","description":"Url where to follow the progress of a long-running process."},"AlternateLink":{"$ref":"#/definitions/AlternateLink","description":"Url which can be used as alternative to your request. This will be used in case you original request was Obsolete."},"ListLink":{"$ref":"#/definitions/ListLink","description":"Url which can be used to get a list of all object for this type. This will be available in case of an ItemNotFound exception"},"Other":{"description":"All other interesting links which we would like to offer.","type":"array","items":{"$ref":"#/definitions/Link"}}}},"SelfLink":{"description":"Conveys an identifier for the link's context.","type":"object","properties":{"Href":{"description":"The Url of the link","type":"string"},"Title":{"description":"The user-friendly name of a link","type":"string"},"Method":{"description":"The HTTP Verb which should be used when accessing the URL","type":"string"}}},"CreateLink":{"description":"Refers to a resource that can be used to create the link's context.","type":"object","properties":{"Href":{"description":"The Url of the link","type":"string"},"Title":{"description":"The user-friendly name of a link","type":"string"},"Method":{"description":"The HTTP Verb which should be used when accessing the URL","type":"string"}}},"UpdateLink":{"description":"Refers to a resource that can be used to edit the link's context.","type":"object","properties":{"Href":{"description":"The Url of the link","type":"string"},"Title":{"description":"The user-friendly name of a link","type":"string"},"Method":{"description":"The HTTP Verb which should be used when accessing the URL","type":"string"}}},"DeleteLink":{"description":"Refers to a resource that can be used to remove the link's context.","type":"object","properties":{"Href":{"description":"The Url of the link","type":"string"},"Title":{"description":"The user-friendly name of a link","type":"string"},"Method":{"description":"The HTTP Verb which should be used when accessing the URL","type":"string"}}},"NextLink":{"description":"Indicates that the link's context is a part of a series, and that the next in the series is the link target.","type":"object","properties":{"Href":{"description":"The Url of the link","type":"string"},"Title":{"description":"The user-friendly name of a link","type":"string"},"Method":{"description":"The HTTP Verb which should be used when accessing the URL","type":"string"}}},"PreviousLink":{"description":"Indicates that the link's context is a part of a series, and that the previous in the series is the link target.","type":"object","properties":{"Href":{"description":"The Url of the link","type":"string"},"Title":{"description":"The user-friendly name of a link","type":"string"},"Method":{"description":"The HTTP Verb which should be used when accessing the URL","type":"string"}}},"HelpLink":{"description":"Refers to the help content related to the request","type":"object","properties":{"Href":{"description":"The Url of the link","type":"string"},"Title":{"description":"The user-friendly name of a link","type":"string"},"Method":{"description":"The HTTP Verb which should be used when accessing the URL","type":"string"}}},"ProgressLink":{"type":"object","properties":{"Href":{"description":"The Url of the link","type":"string"},"Title":{"description":"The user-friendly name of a link","type":"string"},"Method":{"description":"The HTTP Verb which should be used when accessing the URL","type":"string"}}},"AlternateLink":{"description":"Alternative link for the executed request. This link will be available in case the original request is deprecated","type":"object","properties":{"Href":{"description":"The Url of the link","type":"string"},"Title":{"description":"The user-friendly name of a link","type":"string"},"Method":{"description":"The HTTP Verb which should be used when accessing the URL","type":"string"}}},"ListLink":{"type":"object","properties":{"Href":{"description":"The Url of the link","type":"string"},"Title":{"description":"The user-friendly name of a link","type":"string"},"Method":{"description":"The HTTP Verb which should be used when accessing the URL","type":"string"}}},"Link":{"description":"A base class for relation links","type":"object","properties":{"Href":{"description":"The Url of the link","type":"string"},"Title":{"description":"The user-friendly name of a link","type":"string"},"Method":{"description":"The HTTP Verb which should be used when accessing the URL","type":"string"}}},"Payload[IEnumerable[Contact]]":{"type":"object","properties":{"Meta":{"$ref":"#/definitions/MetaData","description":"The metadata such as paging parameters, status code, timestamp,... which are related to this request."},"Data":{"description":"The actual data returned by the request.","type":"array","items":{"$ref":"#/definitions/Contact"}},"Links":{"$ref":"#/definitions/Hateoas","description":"[HATEOAS](http://en.wikipedia.org/wiki/HATEOAS) related to this object. It wil contain relevant url's such as previous and next page for paged results, create/update/delete action. These url's can be used in your application for the next steps in your application logic."}}},"MetaData":{"type":"object","properties":{"Status":{"format":"int32","description":"The [Http status code](../../../Errors). It will contain the correct http status code even when passing ?statusok","type":"integer"},"TotalRowCount":{"format":"int32","description":"When retrieving a list, this property will contain the total row count (without taking the limit into account).","type":"integer"},"Limit":{"format":"int32","description":"When retrieving a list, this property will return the page size used for your request.","type":"integer"},"Offset":{"format":"int32","description":"When retrieving a list, this property will return the offset used for your request.","type":"integer"},"TotalPageCount":{"format":"int32","description":"When retrieving a list, the amount of pages calculated based on the Limit and TotalRowCount.","type":"integer"},"StartRec":{"format":"int32","description":"When retrieving a list, the index of the first record of the current page based on the Limit and Offset.","type":"integer"},"StopRec":{"format":"int32","description":"When retrieving a list, the index of the last record of the current page based on the Limit and Offset.","type":"integer"},"Timestamp":{"format":"date-time","description":"Timestamp when the data has been retrieved, when cached it will show the date of the non-cached retrieval.","type":"string"},"IsFiltered":{"description":"When retrieving a list, indicates in the response is a filtered result.","type":"boolean"},"Obsolete":{"description":"Indicates when a request is still available but will be removed in the near future. An [alternative request](../model/AlternateLink) will be available in the HATEOAS.","type":"boolean"}}},"Contact":{"description":"Respondent Item","type":"object","properties":{"LangCode":{"description":"2-letter [ISO 639-1](http://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language code","type":"string"},"Surveys":{"description":"A list of surveys to which a contact is linked. When retrieving a list of contacts, this property is by default not available. If you would like this additional information, you can use the expand parameter `$expand=Surveys`.","type":"array","items":{"$ref":"#/definitions/SurveyReference"}},"Groups":{"description":"A list of groups to which a contact is linked. When retrieving a list of contacts, this property is by default not available. If you would like this additional information, you can use the expand parameter `$expand=Groups`.","type":"array","items":{"$ref":"#/definitions/GroupReference"}},"ContactId":{"format":"int32","description":"Unique contact number.","type":"integer"},"FirstName":{"description":"Contact’s first name.","type":"string"},"LastName":{"description":"Contact’s last name.","type":"string"},"Email":{"description":"Contact's email address.","type":"string"},"CustomField1":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField2":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField3":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField4":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField5":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField6":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField7":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField8":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField9":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField10":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField11":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField12":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField13":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField14":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField15":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField16":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField17":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField18":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField19":{"description":"A field which can be used to store additional contact information.","type":"string"},"CustomField20":{"description":"A field which can be used to store additional contact information.","type":"string"},"Street":{"description":"Contact's street name.","type":"string"},"HouseNumber":{"description":"Contact's house number.","type":"string"},"Suite":{"description":"Contact's apt. number.","type":"string"},"PostalCode":{"description":"Postal code.","type":"string"},"City":{"description":"Contact's city.","type":"string"},"State":{"description":"ISO 3166-2 two-last letters state code.","type":"string"},"Province":{"description":"Contact's procince.","type":"string"},"Phone":{"description":"Contact's phone number in the [E.164 format](https://en.wikipedia.org/wiki/E.164) (+[country code] [area code] [number])","type":"string"},"CountryId":{"description":"ISO 3166-1 two-letter country code.","type":"string"},"Gender":{"description":"Contact's gender.","pattern":"^[m|M|f|F]$","type":"string"},"DateOfBirth":{"format":"date-time","description":"Contact's birthday.","type":"string"},"IsBounced":{"description":"Indicates if the email address for this contact is currently on the bounce list.","type":"boolean"},"IsOptedOut":{"description":"Indicates if this contact is currently on the opt out list.","type":"boolean"},"Links":{"$ref":"#/definitions/Hateoas","description":"[HATEOAS](http://en.wikipedia.org/wiki/HATEOAS) related to this object. It wil contain relevant url's such as previous and next page for paged results, create/update/delete action. These url's can be used in your application for the next steps in your application logic."}}},"SurveyReference":{"type":"object","properties":{"SurveyId":{"format":"int32","description":"Id of a survey.","type":"integer"},"Title":{"description":"Title of a survey.","type":"string"},"PanelistStatusId":{"format":"int32","description":"Status of the panelist e.g. included, invited, bounced, etc. [Learn more](https://www.checkmarket.com/kb/what-do-the-different-panelist-statuses-mean/).","type":"integer"},"DateAdded":{"format":"date-time","description":"Date added to the survey","type":"string"},"PanelistReportUrl":{"description":"Link to panelists summary","type":"string"},"Links":{"$ref":"#/definitions/Hateoas","description":"[HATEOAS](http://en.wikipedia.org/wiki/HATEOAS) related to this object. It wil contain relevant url's such as previous and next page for paged results, create/update/delete action. These url's can be used in your application for the next steps in your application logic."}}},"GroupReference":{"type":"object","properties":{"GroupId":{"format":"int32","description":"Id of a group.","type":"integer"},"Name":{"description":"The name of the contact group.","type":"string"}}},"NewContact":{"type":"object","properties":{"DateToBeMailed":{"format":"date-time","description":"Date and time on which the invitation will be sent. If not passed, the invitation will be sent once the survey is live or immediately if the survey is already live. Only applies if the SurveyId is passed in the querystring.","type":"string"},"DateToExpire":{"format":"date-time","description":"Date and time on which the invitation should expire and the contact can no longer respond to the survey, if not available the invitation will be active until the survey is closed. Only applies if the SurveyId is passed in the querystring.","type":"string"},"FirstName":{"description":"Given name.","type":"string"},"LastName":{"description":"Family name.","type":"string"},"Email":{"description":"Email address.","type":"string"},"LangCode":{"description":"[ISO 639-1](http://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language code. If empty the DefaultLanguage from the querystring will be used, if not available the language from the user who created the api key will be used.","type":"string"},"Phone":{"description":"[E.164](https://en.wikipedia.org/wiki/E.164) phone number.","type":"string"},"Gender":{"description":"M or F.","type":"string"},"DateOfBirth":{"format":"date-time","description":"Date of birth.","type":"string"},"Street":{"description":"Street.","type":"string"},"HouseNumber":{"description":"House number.","type":"string"},"Suite":{"description":"Suite or appartment.","type":"string"},"PostalCode":{"description":"Postal code.","type":"string"},"City":{"description":"City.","type":"string"},"State":{"description":"[ISO 3166-2: US](http://en.wikipedia.org/wiki/ISO_3166-2:US) State code.","type":"string"},"Province":{"description":"Province.","type":"string"},"Country":{"description":"[ISO 3166-1](http://en.wikipedia.org/wiki/ISO_3166-1) Country Code.","type":"string"},"CustomField1":{"description":"Your own metadata which can be used as a variable in the surveys, display logic and reporting.","type":"string"},"CustomField2":{"description":"","type":"string"},"CustomField3":{"description":"","type":"string"},"CustomField4":{"description":"","type":"string"},"CustomField5":{"description":"","type":"string"},"CustomField6":{"description":"","type":"string"},"CustomField7":{"description":"","type":"string"},"CustomField8":{"description":"","type":"string"},"CustomField9":{"description":"","type":"string"},"CustomField10":{"description":"","type":"string"},"CustomField11":{"description":"","type":"string"},"CustomField12":{"description":"","type":"string"},"CustomField13":{"description":"","type":"string"},"CustomField14":{"description":"","type":"string"},"CustomField15":{"description":"","type":"string"},"CustomField16":{"description":"","type":"string"},"CustomField17":{"description":"","type":"string"},"CustomField18":{"description":"","type":"string"},"CustomField19":{"description":"","type":"string"},"CustomField20":{"description":"","type":"string"}}},"Payload[ContactCreateResult]":{"type":"object","properties":{"Meta":{"$ref":"#/definitions/MetaData","description":"The metadata such as paging parameters, status code, timestamp,... which are related to this request."},"Data":{"$ref":"#/definitions/ContactCreateResult","description":"The actual data returned by the request."},"Links":{"$ref":"#/definitions/Hateoas","description":"[HATEOAS](http://en.wikipedia.org/wiki/HATEOAS) related to this object. It wil contain relevant url's such as previous and next page for paged results, create/update/delete action. These url's can be used in your application for the next steps in your application logic."}}},"ContactCreateResult":{"type":"object","properties":{"Succeeded":{"description":"Indicator if the contact has been created or in case of using the ReuseExisting parameter an existing contact has been linked to the group/survey","type":"boolean"},"FailureMessage":{"description":"Detailed description of reason why the creation of the contact failed.","type":"string"},"ContactId":{"format":"int32","description":"The id of the new/existing Contact which has been linked to the group/survey. If the import failed the ContactId will not be available in the API response.","type":"integer"}}},"Payload[Contact]":{"type":"object","properties":{"Meta":{"$ref":"#/definitions/MetaData","description":"The metadata such as paging parameters, status code, timestamp,... which are related to this request."},"Data":{"$ref":"#/definitions/Contact","description":"The actual data returned by the request."},"Links":{"$ref":"#/definitions/Hateoas","description":"[HATEOAS](http://en.wikipedia.org/wiki/HATEOAS) related to this object. It wil contain relevant url's such as previous and next page for paged results, create/update/delete action. These url's can be used in your application for the next steps in your application logic."}}},"UpdateContact":{"type":"object","properties":{"FirstName":{"description":"Given name.","type":"string"},"LastName":{"description":"Family name.","type":"string"},"Email":{"description":"Email address.","type":"string"},"LangCode":{"description":"[ISO 639-1](http://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language code. If empty the DefaultLanguage from the querystring will be used, if not available the language from the user who created the api key will be used.","type":"string"},"Phone":{"description":"[E.164](https://en.wikipedia.org/wiki/E.164) phone number.","type":"string"},"Gender":{"description":"M or F.","type":"string"},"DateOfBirth":{"format":"date-time","description":"Date of birth.","type":"string"},"Street":{"description":"Street.","type":"string"},"HouseNumber":{"description":"House number.","type":"string"},"Suite":{"description":"Suite or appartment.","type":"string"},"PostalCode":{"description":"Postal code.","type":"string"},"City":{"description":"City.","type":"string"},"State":{"description":"[ISO 3166-2: US](http://en.wikipedia.org/wiki/ISO_3166-2:US) State code.","type":"string"},"Province":{"description":"Province.","type":"string"},"Country":{"description":"[ISO 3166-1](http://en.wikipedia.org/wiki/ISO_3166-1) Country Code.","type":"string"},"CustomField1":{"description":"Your own metadata which can be used as a variable in the surveys, display logic and reporting.","type":"string"},"CustomField2":{"description":"","type":"string"},"CustomField3":{"description":"","type":"string"},"CustomField4":{"description":"","type":"string"},"CustomField5":{"description":"","type":"string"},"CustomField6":{"description":"","type":"string"},"CustomField7":{"description":"","type":"string"},"CustomField8":{"description":"","type":"string"},"CustomField9":{"description":"","type":"string"},"CustomField10":{"description":"","type":"string"},"CustomField11":{"description":"","type":"string"},"CustomField12":{"description":"","type":"string"},"CustomField13":{"description":"","type":"string"},"CustomField14":{"description":"","type":"string"},"CustomField15":{"description":"","type":"string"},"CustomField16":{"description":"","type":"string"},"CustomField17":{"description":"","type":"string"},"CustomField18":{"description":"","type":"string"},"CustomField19":{"description":"","type":"string"},"CustomField20":{"description":"","type":"string"}}},"Payload[ManipulationResult]":{"type":"object","properties":{"Meta":{"$ref":"#/definitions/MetaData","description":"The metadata such as paging parameters, status code, timestamp,... which are related to this request."},"Data":{"$ref":"#/definitions/ManipulationResult","description":"The actual data returned by the request."},"Links":{"$ref":"#/definitions/Hateoas","description":"[HATEOAS](http://en.wikipedia.org/wiki/HATEOAS) related to this object. It wil contain relevant url's such as previous and next page for paged results, create/update/delete action. These url's can be used in your application for the next steps in your application logic."}}},"ManipulationResult":{"description":"Default response when creating/updating/deleting objects","type":"object","properties":{"Succeeded":{"description":"Indicator if the request was successfull","type":"boolean"},"FailureMessage":{"description":"Detailed description of the reason why the request failed.","type":"string"}}},"BaseImportConfig":{"type":"object","properties":{"Name":{"description":"The name of the ImportConfiguration which will be used for your own reference and will also be available in the Tool.","type":"string"},"ContactListId":{"format":"int32","description":"The id of the contact list to which all imported contacts will be linked.","type":"integer"},"SurveySettings":{"$ref":"#/definitions/ImportSurveyLink","description":"When you would like to add the imported contacts immediately to an existing survey, you can define the SurveySettings to indicate to which survey the contacts should be linked and how they should be processed."},"ColumnMappings":{"description":"When uploading a file using the Tool, you should define all columns in the file and define how they should be imported\r\nWhen using the ImportConfig from the API, you don't have to configure the ColumnMappings.","type":"array","items":{"$ref":"#/definitions/ImportColumnMapping"}},"EmailMustBeUniqueWithinAccount":{"description":"Define if an email address should be unique in your entire account. Contacts with the same email address will be updated.","type":"boolean"},"EmailMustBeUniqueWithinGroup":{"description":"Define if an email address should be unique within your group. Contacts with the same email address within your group will be updated.","type":"boolean"},"EmailMustBeUniqueWithinFile":{"description":"Define if an email address should be unique within your file/request.","type":"boolean"},"EmailIsRequired":{"description":"An email address should be available for all contacts.","type":"boolean"},"DateFormat":{"description":"The format of all dates within your file. The format is case-sensitive.","type":"string"},"FirstRow":{"format":"int32","description":"Indicate which row in the file contains the first line of data","type":"integer"},"FieldDelimiter":{"description":"Indicate which string is used to seperate the different columns in your file","type":"string"},"RowDelimiter":{"description":"Indicate which string is used to seperate different lines in your file.\r\nExamples: \\n, \\r","type":"string"},"SendNotificationMail":{"description":"Allows you to enable email notifications for every import which is executed using this configuration.","type":"boolean"},"IsReusable":{"description":"Indicates whether this configuration can be reused.","type":"boolean"},"DefaultLanguageCode":{"description":"The language code is used if you do not import a language column or for blanks.","type":"string"},"UpdateTypeId":{"format":"int32","description":"Define how we should handle existing contacts. 1: Update existing contacts within this survey. 2: Always create new contacts.","type":"integer"},"Links":{"$ref":"#/definitions/Hateoas","description":"[HATEOAS](http://en.wikipedia.org/wiki/HATEOAS) related to this object. It wil contain relevant url's such as previous and next page for paged results, create/update/delete action. These url's can be used in your application for the next steps in your application logic."}}},"ImportSurveyLink":{"type":"object","properties":{"SurveyId":{"format":"int32","description":"In case you would like to link the imported contacts immediately to a survey, you can define the Survey Id.","type":"integer"},"InvitationDelayInDays":{"format":"int32","description":"The amount of days we should wait before sending out the email invitation. Leave empty to send immediately.","type":"integer"},"InvitationTime":{"description":"The time (in UTC, hh:mm format) at which we will send the email invitations. If the time is in the past on the moment of the import, we will send the invitations immediately. Leave empty to send immediately.","type":"string"},"ExpirationAfterDays":{"format":"int32","description":"The amount of days after which the invitation is no longer valid and will expire. Panelists won't be able to complete the survey after the import date + ExpirationAfterDays","type":"integer"},"ExpirationTime":{"description":"The time (in UTC, hh:mm format) at which the invitation will expire. After this time, the contact won't be able to respond to the survey.","type":"string"},"ConsiderCooldownPeriod":{"description":"Indicate if you would like to consider the cooldown rules","type":"boolean"},"SurveyCooldownAfterInvitation":{"format":"int32","description":"Amount of days an email address won't be importer after receiving an invitation for this survey","type":"integer"},"SurveyCooldownAfterResponse":{"format":"int32","description":"Amount of days an email address won't be imported after completing this survey","type":"integer"},"AccountCooldownAfterInvitation":{"format":"int32","description":"Amount of days an email address won't be imported after receiving an invitation for any of your surveys","type":"integer"},"AccountCooldownAfterResponse":{"format":"int32","description":"Amount of days an email address won't be imported after completing any of your surveys","type":"integer"}}},"ImportColumnMapping":{"type":"object","properties":{"SourceColumnNumber":{"format":"int32","type":"integer"},"TargetColumnName":{"description":"Define the target column.\r\nAvailable options are title, e_mail, first_name, last_name, full_name, lang_code, gender, date_of_birth, optional_1, optional_2, optional_3, optional_4, optional_5, optional_6, optional_7, optional_8, optional_9, optional_10, optional11, optional12, optional13, optional14, optional15, optional16, optional17, optional18, optional19, optional20, street, house_number, suite, postal_code, city, state, province, country_id or phone.","pattern":"^(title|e_mail|first_name|last_name|full_name|lang_code|gender|date_of_birth|optional_1|optional_2|optional_3|optional_4|optional_5|optional_6|optional_7|optional_8|optional_9|optional_10|optional_11|optional_12|optional_13|optional_14|optional_15|optional_16|optional_17|optional_18|optional_19|optional_20|street|house_number|suite|postal_code|city|state|province|country_id|phone)$","type":"string"}}},"Payload[UpsertImportConfigResult]":{"type":"object","properties":{"Meta":{"$ref":"#/definitions/MetaData","description":"The metadata such as paging parameters, status code, timestamp,... which are related to this request."},"Data":{"$ref":"#/definitions/UpsertImportConfigResult","description":"The actual data returned by the request."},"Links":{"$ref":"#/definitions/Hateoas","description":"[HATEOAS](http://en.wikipedia.org/wiki/HATEOAS) related to this object. It wil contain relevant url's such as previous and next page for paged results, create/update/delete action. These url's can be used in your application for the next steps in your application logic."}}},"UpsertImportConfigResult":{"description":"Representating the result of POST/PUT - ImportConfig","type":"object","properties":{"ImportConfigId":{"format":"int32","description":"The id of the new/updated import configuration","type":"integer"},"Succeeded":{"description":"Indicator if the request was successfull","type":"boolean"},"FailureMessage":{"description":"Detailed description of the reason why the request failed.","type":"string"}}},"Payload[IEnumerable[ImportConfig]]":{"type":"object","properties":{"Meta":{"$ref":"#/definitions/MetaData","description":"The metadata such as paging parameters, status code, timestamp,... which are related to this request."},"Data":{"description":"The actual data returned by the request.","type":"array","items":{"$ref":"#/definitions/ImportConfig"}},"Links":{"$ref":"#/definitions/Hateoas","description":"[HATEOAS](http://en.wikipedia.org/wiki/HATEOAS) related to this object. It wil contain relevant url's such as previous and next page for paged results, create/update/delete action. These url's can be used in your application for the next steps in your application logic."}}},"ImportConfig":{"type":"object","properties":{"ImportConfigId":{"format":"int32","type":"integer"},"IsCustom":{"type":"boolean"},"UserId":{"format":"int32","type":"integer"},"BackOfficeUserId":{"format":"int32","type":"integer"},"SendAnswerNotification":{"type":"boolean"},"Name":{"description":"The name of the ImportConfiguration which will be used for your own reference and will also be available in the Tool.","type":"string"},"ContactListId":{"format":"int32","description":"The id of the contact list to which all imported contacts will be linked.","type":"integer"},"SurveySettings":{"$ref":"#/definitions/ImportSurveyLink","description":"When you would like to add the imported contacts immediately to an existing survey, you can define the SurveySettings to indicate to which survey the contacts should be linked and how they should be processed."},"ColumnMappings":{"description":"When uploading a file using the Tool, you should define all columns in the file and define how they should be imported\r\nWhen using the ImportConfig from the API, you don't have to configure the ColumnMappings.","type":"array","items":{"$ref":"#/definitions/ImportColumnMapping"}},"EmailMustBeUniqueWithinAccount":{"description":"Define if an email address should be unique in your entire account. Contacts with the same email address will be updated.","type":"boolean"},"EmailMustBeUniqueWithinGroup":{"description":"Define if an email address should be unique within your group. Contacts with the same email address within your group will be updated.","type":"boolean"},"EmailMustBeUniqueWithinFile":{"description":"Define if an email address should be unique within your file/request.","type":"boolean"},"EmailIsRequired":{"description":"An email address should be available for all contacts.","type":"boolean"},"DateFormat":{"description":"The format of all dates within your file. The format is case-sensitive.","type":"string"},"FirstRow":{"format":"int32","description":"Indicate which row in the file contains the first line of data","type":"integer"},"FieldDelimiter":{"description":"Indicate which string is used to seperate the different columns in your file","type":"string"},"RowDelimiter":{"description":"Indicate which string is used to seperate different lines in your file.\r\nExamples: \\n, \\r","type":"string"},"SendNotificationMail":{"description":"Allows you to enable email notifications for every import which is executed using this configuration.","type":"boolean"},"IsReusable":{"description":"Indicates whether this configuration can be reused.","type":"boolean"},"DefaultLanguageCode":{"description":"The language code is used if you do not import a language column or for blanks.","type":"string"},"UpdateTypeId":{"format":"int32","description":"Define how we should handle existing contacts. 1: Update existing contacts within this survey. 2: Always create new contacts.","type":"integer"},"Links":{"$ref":"#/definitions/Hateoas","description":"[HATEOAS](http://en.wikipedia.org/wiki/HATEOAS) related to this object. It wil contain relevant url's such as previous and next page for paged results, create/update/delete action. These url's can be used in your application for the next steps in your application logic."}}},"Payload[ImportConfig]":{"type":"object","properties":{"Meta":{"$ref":"#/definitions/MetaData","description":"The metadata such as paging parameters, status code, timestamp,... which are related to this request."},"Data":{"$ref":"#/definitions/ImportConfig","description":"The actual data returned by the request."},"Links":{"$ref":"#/definitions/Hateoas","description":"[HATEOAS](http://en.wikipedia.org/wiki/HATEOAS) related to this object. It wil contain relevant url's such as previous and next page for paged results, create/update/delete action. These url's can be used in your application for the next steps in your application logic."}}},"Payload[IList[String]]":{"type":"object","properties":{"Meta":{"$ref":"#/definitions/MetaData","description":"The metadata such as paging parameters, status code, timestamp,... which are related to this request."},"Data":{"description":"The actual data returned by the request.","type":"array","items":{"type":"string"}},"Links":{"$ref":"#/definitions/Hateoas","description":"[HATEOAS](http://en.wikipedia.org/wiki/HATEOAS) related to this object. It wil contain relevant url's such as previous and next page for paged results, create/update/delete action. These url's can be used in your application for the next steps in your application logic."}}},"Payload[QueueItem]":{"type":"object","properties":{"Meta":{"$ref":"#/definitions/MetaData","description":"The metadata such as paging parameters, status code, timestamp,... which are related to this request."},"Data":{"$ref":"#/definitions/QueueItem","description":"The actual data returned by the request."},"Links":{"$ref":"#/definitions/Hateoas","description":"[HATEOAS](http://en.wikipedia.org/wiki/HATEOAS) related to this object. It wil contain relevant url's such as previous and next page for paged results, create/update/delete action. These url's can be used in your application for the next steps in your application logic."}}},"QueueItem":{"type":"object","properties":{"QueueItemId":{"format":"int32","description":"Id of an item in the queue","type":"integer"},"StatusId":{"format":"int32","description":"The queue status id","type":"integer"},"DateQueued":{"format":"date-time","description":"Date the item was added to the queue","type":"string"},"DateStarted":{"format":"date-time","description":"Da
[...]
